using GraphQL.Types;
using Performance.DtoModels;
using Performance.EntityModels;

namespace Performance.Api
{
    public class ReportPerformanceType : ObjectGraphType<ReportTable>
    {
        public ReportPerformanceType()
        {
            Field(x => x.PersonnelName, nullable: true);
            Field(x => x.PersonnelNumber, nullable: true);
            Field(x => x.AccountingUnit, nullable: true);
            Field(x => x.Category, nullable: true);
            Field(x => x.ItemName, nullable: true);
            Field(x => x.CurrentValue, nullable: true);
            Field(x => x.LastIssueValue, nullable: true);
            Field(x => x.SamePeriodValue, nullable: true);
            Field(x => x.BudgetValue, nullable: true);
            Field(x => x.RatioValue, nullable: true);
        }
    }
}
